Píxeles
GET https://pixg.net/api/pixels/
curl --request GET \
--url 'https://pixg.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | The search string. |
| search_by | Opcional Cadena | What field are you searching by. Allowed values are: name, pixel. |
| type | Opcional Cadena | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | What field to order the results by. Allowed values are: pixel_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | The page number that you want results from. Defaults to 1. |
| results_per_page | Opcional Entero | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-18 20:09:07"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pixg.net/api/pixels?page=1",
"last": "https://pixg.net/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://pixg.net/api/pixels?page=1"
}
}
GET https://pixg.net/api/pixels/{pixel_id}
curl --request GET \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-18 20:09:07"
}
}
POST https://pixg.net/api/pixels
| Parameters | Detalles | Descripción |
|---|---|---|
| type | Requerido Cadena | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Requerido Cadena | - |
| pixel | Requerido Cadena | - |
curl --request POST \
--url 'https://pixg.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://pixg.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-18 20:09:07"
}
}
POST https://pixg.net/api/pixels/{pixel_id}
| Parameters | Detalles | Descripción |
|---|---|---|
| type | Opcional Cadena | Valores permitidos: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opcional Cadena | - |
| pixel | Opcional Cadena | - |
curl --request POST \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-11-18 20:09:07"
}
}
DELETE https://pixg.net/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pixg.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \